// SVExtControlDlg.h : header file
//

#if !defined(AFX_SVEXTCONTROLDLG_H__2E13E40F_14B2_4E0A_A7F1_15559FF6456B__INCLUDED_)
#define AFX_SVEXTCONTROLDLG_H__2E13E40F_14B2_4E0A_A7F1_15559FF6456B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "RetEdit.h"
#include "SpectraVueMsgs.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// CSVExtControlDlg dialog

class CSVExtControlDlg : public CDialog
{
// Construction
public:
	CSVExtControlDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSVExtControlDlg)
	enum { IDD = IDD_SVEXTCONTROL_DIALOG };
	CButton	m_MuteCtrl;
	CButton	m_SquelchCtrl;
	CStatic	m_StatusTxtCtrl;
	CRetEdit	m_SpanFreqCtrl;
	CRetEdit	m_DemodFreq1Ctrl;
	CRetEdit	m_DemodFreq0Ctrl;
	CRetEdit	m_CFeqEditCtrl;
	ULONGLONG	m_CFreq;
	int		m_DemodGroup;
	ULONGLONG	m_DemodFreq0;
	ULONGLONG	m_DemodFreq1;
	int		m_SpanFreq;
	int		m_FileCaptureGroup;
	BOOL	m_DemodOn;
	int		m_RfGainGroup;
	int		m_IfGainGroup;
	BOOL	m_Mute;
	CString	m_MarkerTxt;
	CString	m_SquelchLevelTxt;
	CString	m_SquelchThreshTxt;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSVExtControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	float m_MarkerAmp;
	LPARAM m_MarkerFreq;

	// Generated message map functions
	//{{AFX_MSG(CSVExtControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnKillfocusCfreqedit();
	afx_msg void OnStartbutton();
	afx_msg void OnStopbutton();
	afx_msg void OnKillfocusSpanfreqedit();
	afx_msg void OnKillfocusDemodfreqedit1();
	afx_msg void OnKillfocusDemodfreqedit0();
	afx_msg void OnDemodoncheck();
	afx_msg void OnFilecaptureGroup();
	afx_msg void OnRfgain0();
	afx_msg void OnIfgain24();
	afx_msg void OnMutecheck();
	afx_msg void OnGetbutton1();
	afx_msg void OnKillfocusSquelchthresheedit();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnDeltaposSquelchspin(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	void OnDemodRadioButtons(UINT nID);
	LRESULT OnSVMessage(WPARAM wParam, LPARAM lParam);

	DECLARE_MESSAGE_MAP()

private:
	UINT m_TimerID;
	BOOL m_Toggle;
	int m_SquelchSetThreshold;
public:
	CStatic m_SquelchLevelCtrl;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SVEXTCONTROLDLG_H__2E13E40F_14B2_4E0A_A7F1_15559FF6456B__INCLUDED_)
